Page MenuHomePhabricator

Upload python-pykube deb to apt.wikimedia.org
Closed, ResolvedPublic

Description

jessie-wikimedia has python-pykube: 0.12.0-1+jessie0.

$ apt-cache show python-pykube
Package: python-pykube
Status: install ok installed
Priority: optional
Section: python
Installed-Size: 94
Maintainer: Eldarion, Inc. <development@eldarion.com>
Architecture: all
Source: pykube
Version: 0.12.0-1+jessie0
Depends: python (>= 2.7), python (<< 2.8), python-requests, python-yaml, python-six

Rebuilding https://gerrit.wikimedia.org/r/plugins/gitiles/operations/debs/pykube/ for stretch should be good enough.

Event Timeline

Legoktm created this task.Jul 30 2018, 5:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2018, 5:05 AM
Legoktm updated the task description. (Show Details)Jul 30 2018, 5:11 AM

I wonder if T159892 & T197930 should be done instead

I wonder if T159892 & T197930 should be done instead

Oh, I wasn't aware of that. Is there an estimate of when that will be resolved?

We discussed a bit on IRC. Moving to the official kubernetes python client needs both backporting work as well as development work in the webservice command. Since that seems like its own project, I'd like to just do the forward-port of pykube for now to unblock the general stretch migration (and PHP 7 :)).

Do we actually use pycube from the deb or are we using the version that is embedded in https://phabricator.wikimedia.org/diffusion/OSTW/browse/master/submodules/ ?

Do we actually use pycube from the deb or are we using the version that is embedded in https://phabricator.wikimedia.org/diffusion/OSTW/browse/master/submodules/ ?

We're using pycube from its own deb. The submodule is not included in the toollabs-webservice deb: P7401.

herron triaged this task as Normal priority.Aug 3 2018, 9:17 PM
herron added a project: Packaging.

Mentioned in SAL (#wikimedia-operations) [2018-08-10T08:28:09Z] <arturo> rebuild python-pykube for stretch-wikimedia and add it to apt.wikimedia.org T200660

aborrero claimed this task.Aug 10 2018, 8:28 AM

It should be done. Please, let me know any issue.

For the record (specially myself in the future) I used these commands:

(in my laptop):
sbuild -d stretch-wikimedia --no-clean-source -c stretch-amd64-sbuild
debsign -kDD9861AB23DC3333892E07A968E713981D1515F8 ../pykube_0.12.0-1_amd64.changes
dupload --to wmf ../pykube_0.12.0-1_amd64.changes
(in install1002):
sudo -i su
reprepro processincoming default
reprepro export

docs: https://wikitech.wikimedia.org/wiki/Reprepro

Legoktm closed this task as Resolved.Aug 11 2018, 12:37 AM

Thank you, seems to work as expected!